ShopGUIPlus/Overview

From brc plugins wiki
Jump to: navigation, search
ShopGUIPlus Logo

ShopGUI+ is an advanced high-quality GUI shop perfect for every server. It allows players to easily buy/sell items, enchantments, permissions and commands.


Screenshots


Features

  • Complete, premade shops with lots of items
  • The best anti-dupe protection, even better than on some popular servers
  • Allows players to sell, sell all and buy items using convenient GUI
  • Sell multiple enchantments, permissions and commands to players
  • Sell preset mob spawners to players (requires SilkSpawners/PickUpSpawners/EpicSpawners)
  • Supports various economies (Vault, exp, MySQL Tokens, PlayerPoints, TokenManager)
  • Separate log file to log shop transactions
  • Supports item-based economy (requires Gringotts and Vault)
  • Supports custom names, lores, enchantments, potions and fireworks
  • Allows you to set different prices for each player using item-based, shop-based and global price modifiers
  • Advanced amount selection GUI for buying or selling items
  • Multiple shops with per-shop permission support
  • Multiple page support in each shop GUI with buttons
  • Convenient "Go back" button to easily return to main menu
  • Customizable size of each shop GUI
  • Item placeholders to buy/sell items different from the displayed ones
  • Per-item permissions inside shops
  • 100% customizable messages, shops and items
  • Reload command to update shops without restarting the server
  • Efficient & high-quality code


Requirements

  • Spigot 1.7.10 or newer
  • Vault 1.4.1 or newer


If you want to sell permissions you also need one of following plugins:

  • PermissionsEx: 1.22.7 or newer (recommended)
  • zPermissions: 1.3-SNAPSHOT-b7, 1.3-SNAPSHOT-b6, 1.3beta1
  • GroupManager: 2.0-Phoenix

Other permissions plugins may also work but support will be given only to these listed above.


If you want to sell preset mob spawners you also need following plugin:

  • SilkSpawners or PickUpSpawners or EpicSpawners

The plugin is incompatible with StackableItems plugin.


API

This plugin comes with a simple API:


There are also some events available:


Other useful gists: